Bug 99401 - [g33] regression: piglit.spec.!opengl 1_0.gl-1_0-beginend-coverage
Summary: [g33] regression: piglit.spec.!opengl 1_0.gl-1_0-beginend-coverage
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Nicolai Hähnle
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-13 20:02 UTC by Mark Janes
Modified: 2017-01-24 22:38 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
test output (108.66 KB, text/plain)
2017-01-13 20:02 UTC, Mark Janes
Details
possible fix (1.34 KB, patch)
2017-01-16 11:30 UTC, Nicolai Hähnle
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2017-01-13 20:02:00 UTC
Created attachment 128940 [details]
test output

bisected to:

c6eb3aeba530fe82087c1c3c06ded23cb79bc199
Author:     Alejandro Piñeiro <apinheiro@igalia.com>
AuthorDate: Thu Jan 12 16:03:00 2017 -0200
Commit:     Alejandro Piñeiro <apinheiro@igalia.com>
CommitDate: Fri Jan 13 08:52:07 2017 -0200

Parent:     963311b mesa/main: fix version/extension checks in _mesa_ClampColor
Merged:     apinheiro/jenkins
Containing: master
Follows:    13.0-branchpoint (2236)

main/fboject: return if it is color_attachment on get_attachment
Reviewed-by: Nicolai Hähnle <nicolai.haehnle@amd.com>


G33 is not in the developer pool for CI tests (machines too rare and too slow), so Alejandro could not have seen this before pushing.
Comment 1 Kenneth Graunke 2017-01-13 20:03:19 UTC
FYI, G33 uses i915_dri.so, not i965_dri.so.  Pretty much any hardware which uses that older driver would probably reproduce this.
Comment 2 Mark Janes 2017-01-13 20:21:01 UTC
My bisection was incorrect.  The tests regressed at the previous commit:

963311b71fd9900351a4a9dd1cd5f5db391f7e1b
Author:     Nicolai Hähnle <nicolai.haehnle@amd.com>
mesa/main: fix version/extension checks in _mesa_ClampColor
Comment 3 Nicolai Hähnle 2017-01-13 20:57:24 UTC
That test doesn't call glClampColor (and if it did, that would be incorrect). So that's odd.

Does i915 use some of the meta code? That might be calling _mesa_ClampColor without proper checking.
Comment 4 Nicolai Hähnle 2017-01-16 11:30:23 UTC
Created attachment 128979 [details] [review]
possible fix

Of all the internal callers of _mesa_ClampColor, there's one that isn't properly guarded, and that piglit test should hit it -- so the attached patch should fix this, but please test and confirm on i915. Thanks!
Comment 5 Mark Janes 2017-01-17 19:13:03 UTC
Nicolai's patch fixes the test for me.
Comment 6 Mark Janes 2017-01-24 22:38:44 UTC
fixed by a7c635ec6589f600f0d52d0097774ea0b938de9f


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.